# BouncyCastleRandom (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.transport.random
Class BouncyCastleRandom

    java.lang.Object
      net.schmizz.sshj.transport.random.BouncyCastleRandom

All Implemented Interfaces:
  Random

    public class BouncyCastleRandom

extends Object
implements Random

BouncyCastle `Random`. This pseudo random number generator uses the a very fast PRNG from BouncyCastle. The JRE random will be used when creating a new generator to add some random data to the seed.

Nested Class Summary
`static class` `BouncyCastleRandom.Factory` Named factory for the BouncyCastle `Random`

Constructor Summary
`BouncyCastleRandom()`

Method Summary
`void` `fill(byte[] bytes, int start, int len)` Fill part of bytes with random values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BouncyCastleRandom

    public BouncyCastleRandom()

Method Detail

### fill

    public void fill(byte[] bytes,
                     int start,
                     int len)

  Description copied from interface: `Random`
  Fill part of bytes with random values.

  Specified by:
    `fill` in interface `Random`
  Parameters:
    `bytes` - byte array to be filled.
    `start` - index to start filling at.
    `len` - length of segment to fill.

Copyright © 2009-2011. All Rights Reserved.